%define develname %mklibname %{name} -d

Name:           mupdf
Version:        1.12.0
Release:        %mkrel 2
Summary:        Lightweight PDF viewer and toolkit written in portable C
License:        GPLv3
Group:          Office
URL:            http://mupdf.com/
# Source0:        http://mupdf.com/download/%{name}-%{version}-source.tar.xz
# Thirdparty components have been removed to reduce the source file-size,
# mainly to facilitate uploading. If needed, the original source could be
# downloaded from the link above.
Source0:	%{name}-%{version}.tar.xz
Source1:        %{name}.desktop
Patch0:         %{name}-1.12-openjpeg.patch
#--------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: freeglut-devel
BuildRequires: harfbuzz-devel
BuildRequires: jbig2dec-devel
BuildRequires: jpeg-devel
BuildRequires: lcms2-devel
BuildRequires: mesa-devel
BuildRequires: openjpeg-devel >= 2.0
BuildRequires: zlib1-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64freetype6-devel
  #--------------------------------------------
%description
MuPDF is a lightweight PDF viewer and toolkit written in portable C.

The renderer in MuPDF is tailored for high quality anti-aliased
graphics.  MuPDF renders text with metrics and spacing accurate to
within fractions of a pixel for the highest fidelity in reproducing
the look of a printed page on screen.

MuPDF has a small footprint.  A binary that includes the standard
Roman fonts is only one megabyte.  A build with full CJK support
(including an Asian font) is approximately five megabytes.

MuPDF has support for all non-interactive PDF 1.7 features, and the
toolkit provides a simple API for accessing the internal structures of
the PDF document.  Example code for navigating interactive links and
bookmarks, encrypting PDF files, extracting fonts, images, and
searchable text, and rendering pages to image files is provided.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files and headers for %{name}.

%prep
%setup -qn %{name}-%{version}-source
%patch0 -p1

pushd thirdparty
rm -rf curl freeglut freetype harfbuzz jbig2dec lcms2 libjpeg openjpeg zlib
popd

%build
export CFLAGS="%{optflags} -fPIC -DJBIG_NO_MEMENTO -DTOFU -DTOFU_CJK"
export LDFLAGS="%{ldflags}"
%make \
  HAVE_CURL=yes \
  HAVE_GLUT=yes \
  HAVE_X11=yes

%install
%makeinstall
install -Dpm 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/%{name}.desktop

# handle docs
rm -rf %{buildroot}%{_defaultdocdir}

# symlink
ln -s %{name}-x11 %{buildroot}%{_bindir}/%{name}

# fix file attributes (fedora)
chmod 0644 %{buildroot}%{_libdir}/*.a
find %{buildroot}%{_mandir} -type f -exec chmod 0644 {} \;
find %{buildroot}%{_includedir} -type f -exec chmod 0644 {} \;

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}-source

%files
%doc CHANGES CONTRIBUTORS README COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-gl
%{_bindir}/%{name}-x11
%{_bindir}/%{name}-x11-curl
%{_bindir}/mujstest
%{_bindir}/mjsgen
%{_bindir}/mutool
%{_bindir}/muraster
%{_mandir}/man1/mu*.1.*
%{_datadir}/applications/%{name}.desktop

%files -n %{develname}
%doc docs/
%{_libdir}/libmu*.a
%{_includedir}/%{name}/


%changelog
* Sat Jan 13 2018 bb2 <bb2> - 1.12.0-2pclos2018
- clean up specfile

* Mon Jan 08 2018 Zen Subz <techars21 at gmail dot com> - 1.12.0-1pclos2018
- Updated build for PCLinuxOS
